The Hurricane Forum
The Hurricane Forum
Home | Profile | Register | Active Topics | Members | Search | FAQ
 All Forums
 Hurricane for AutoCAD
 General Discussion
 Moving between active vports (keyboard Short cuts)

Note: You must be registered in order to post a reply.
To register, click here. Registration is FREE!

Screensize:
UserName:
Password:
Format Mode:
Format: BoldItalicizedUnderlineStrikethrough Align LeftCenteredAlign Right Horizontal Rule Insert HyperlinkInsert EmailInsert Image Insert CodeInsert QuoteInsert List
   
Message:

* HTML is OFF
* Forum Code is ON
Smilies
Smile [:)] Big Smile [:D] Cool [8D] Blush [:I]
Tongue [:P] Evil [):] Wink [;)] Clown [:o)]
Black Eye [B)] Eight Ball [8] Frown [:(] Shy [8)]
Shocked [:0] Angry [:(!] Dead [xx(] Sleepy [|)]
Kisses [:X] Approve [^] Disapprove [V] Question [?]

   Attach a File

Check here to subscribe to this topic.
   

T O P I C    R E V I E W
cjnichols Posted - February 03 2012 : 9:02:59 PM
I have 4 view ports in each drawing, I would like to zoom extents in each vport.

I have found a keyboard short cut (Ctrl R) to move to the next vport.

How do I place this in a Hurricane script.

Thanks

Chris
2   L A T E S T    R E P L I E S    (Newest First)
andy123 Posted - July 25 2013 : 07:39:33 AM
i would like to appreciate you for sharing such a great info with us


andy
Admin Posted - February 03 2012 : 10:20:43 PM
Here is a link that may help...
http://www.cadtutor.net/forum/showthread.php?39132-Cycling-Through-Viewports

The lisp there is as follows... haven't tested it, but could get you on the right track... similar issue...
(defun vpactivate ( width  / ss avp)
  ;;; width [real] - viewport width for activate
  ;;; Usage
  ;;; (VPACTIVATE 199)
  ;;; Activate VIEWPORT with width 199
  ;;; Return number (for CVPORT command) VIEWPORT in layout or nil
 (vl-load-com)
 (if (setq SS (ssget "_X" (list '(0 . "VIEWPORT") '(-4 . "/=") '(68 . 1)(cons 410 (getvar "ctab")))))
   (progn
     (foreach vp (vl-remove-if (function listp)
		 (mapcar (function cadr) (ssnamex ss)))
       (if (equal (cdr(assoc 40 ;_Width code. Height code - 41
                             (entget vp)
                             )
                      )
                  width
                  1e-6
                  )
         (progn
           (setq avp (cdr(assoc 68 (entget vp))))
           (command "_MSPACE" "_CVPORT" avp "_PSPACE")
           
           )
           )
       )
     )
   )
  avp
  )

The Hurricane Forum © 2009 - 2021 Go To Top Of Page
This page was generated in 0.19 seconds. Snitz Forums 2000